Issue 82947 - mediawiki-export: text not correct exported
Summary: mediawiki-export: text not correct exported
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: save-export (show other issues)
Version: OOo 2.4.0
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: eric.savary
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-24 20:40 UTC by maand
Modified: 2013-08-07 14:43 UTC (History)
2 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
the mediawiki export of the odt-file (47.64 KB, text/plain)
2007-10-24 20:42 UTC, maand
no flags Details
Bugfix for issue 82947: Change history was exported as plain text. (411 bytes, patch)
2008-10-02 21:22 UTC, haui
no flags Details | Diff
Complete filter with bugfix included. (38.88 KB, application/x-compressed)
2008-11-09 18:13 UTC, haui
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description maand 2007-10-24 20:40:38 UTC
I tried to export the file
http://de.openoffice.org/source/browse/de/documentation/howtos2_0/es_impress2_0/es_impress2_0.odt?rev=1.4&view=log
in the mediawiki file format. There are an error at the beginning of the
exported text. Look at the first paragraph in the exported file. It should not
be in that place.
Comment 1 maand 2007-10-24 20:42:15 UTC
Created attachment 49126 [details]
the mediawiki export of the odt-file
Comment 2 jogi 2007-12-17 11:52:59 UTC
jsi->es: Wiki-Export is your area, right?
Comment 3 eric.savary 2008-04-30 10:29:35 UTC
Changed component
Comment 4 haui 2008-10-02 21:08:11 UTC
You complain is about the first paragraph that starts with text garbage "m
folgenden Nutzerdialog...", right?

The problem seems to be that the filter exports the document change history as
plain text at the beginning of the document. A work-around would be to turn off
change tracking.
Comment 5 haui 2008-10-02 21:22:05 UTC
Created attachment 56987 [details]
Bugfix for issue 82947: Change history was exported as plain text.
Comment 6 haui 2008-10-02 21:22:47 UTC
Please test.
Comment 7 haui 2008-10-02 21:23:51 UTC
Please test attached bugfix!
Comment 8 eric.savary 2008-11-02 11:38:30 UTC
@MAV/HAUI: I cannot test with a diff/patch. I need a complete export filter.
Woh's building it?
Comment 9 haui 2008-11-09 18:13:50 UTC
Created attachment 57808 [details]
Complete filter with bugfix included.
Comment 10 mikhail.voytenko 2008-11-10 08:13:43 UTC
Ups, sorry, I had to comment it earlier.
The change looks good, I will integrate the patch into one of cws's and then es
can test it in the cws.
Comment 11 mikhail.voytenko 2008-11-10 08:14:54 UTC
.
Comment 12 mikhail.voytenko 2008-11-21 12:14:20 UTC
Integrated in fwk92.
Comment 13 mikhail.voytenko 2008-11-24 17:44:38 UTC
mav->es: Please verify the export in fwk92
Comment 14 eric.savary 2008-12-05 17:42:39 UTC
Verified in CWS fwk92
Comment 15 eric.savary 2009-03-17 13:51:04 UTC
Ok in OOO310m5